@import url(https://fonts.googleapis.com/css?family=Montserrat:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic);

:root {
  --bg-main: #09090b;
  --bg-track: #27272a;
  --accent: #fbff00; /* Vert mat moderne (Emerald) */
  --text-main: #f4f4f5;
  --text-muted: #a1a1aa;
}

*, *::before, *::after {
    box-sizing: border-box;
    user-select: none;
    font-family: "Montserrat", sans-serif;
}

body {
  background-color: var(--bg-main);
  color: var(--text-main);
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
}




/* Barre en bas */
.bottom {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: baseline;
  gap: 6px;
  margin-top: auto;
  padding: 20px;
}

#status {
  font-size: 1.1rem;
  color: var(--text-muted);
  font-weight: 600;
  text-align: center;
  background: #fff1;
  padding: 8px 12px;
  border-radius: 8px;
}

.bar {
  width: 100%;
  height: 12px; /* Plus fin pour un look moderne */
  background-color: var(--bg-track);
  margin: 0 auto;
  border-radius: 5px;
}

#fill {
  width: 60%;
  height: 100%;
  background: var(--accent);
  border-radius: inherit;
  box-shadow: 0 0 40px var(--accent);
  transition: width 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

#player-profile {
    position: absolute;
    top: 25px;
    left: 25px;
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--text-main);
    transition: all 0.3s ease;
}

#avatar {
    width: 40px;
    height: 40px;
    border-radius: 12px;
    object-fit: cover;
}

.player-infos{
  display: flex; gap: 2px;
  flex-direction: column;
}

/* Pseudo du joueur */
#player-name {
    font-size: 18px;
    font-style: italic;
    font-weight: 700;
    color: var(--text-main);
    line-height: 1;
}

#player-id {
    font-size: 13px;
    font-style: italic;
    line-height: 1;
    font-weight: 600;
    color: var(--text-muted);
}